This endpoint is hosted by BravoTran, not the partner. Required unless you implement the polling alternative (GET /orgs, GET /jobs, GET /payables-invoices). Implement either the events API or the list endpoints — not both.
Your system calls this endpoint to notify BravoTran that an entity has been created or updated. BravoTran will then fetch the entity details from your API.
BravoTran validates entity_type, external_id, and updated_at. Additional JSON fields are rejected.
Security
OAuth2.0-BravoTran or Token-Auth-BravoTran or X-API-Key-BravoTran
- Mock serverhttps://apidocs.bravotran.com/_mock/openapi/events
- BravoTran-hosted event ingestion endpointhttps://api.bravotran.com/events
- OAuth2.0-BravoTran
- Token-Auth-BravoTran
- X-API-Key-BravoTran
curl -i -X POST \
https://apidocs.bravotran.com/_mock/openapi/events \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"entity_type": "job",
"external_id": "db3b1f33-2335-4fc5-a874-f8284a95d539",
"updated_at": "2025-02-17T20:32:39Z"
}'Response
{ "int_req_id": 12345 }